//+---------------------------------------------------------------------------------------------------------------------------------------+
//|                                                                                                               hoz_Base@ListOfFunc.mqh |
//|                                                                                                                                   hoz |
//|                                                                                                                                       |
//+---------------------------------------------------------------------------------------------------------------------------------------+

#property copyright "hoz"
#property link      ""

//+---------------------------------------------------------------------------------------------------------------------------------------+
//|    hoz_Base@Library.ex4                                                                                        |
//+---------------------------------------------------------------------------------------------------------------------------------------+
#import "hoz_Base@Library.ex4"
    void      fInitBase (string fs_SymbolList, string fs_MagicList, string fs_Delimiter = ",");
    double    ND (double v);
    string    DToS (double v);
    double    SToD (string v);
    int       SToI (string v);
    datetime  SToT (string v);
    double    NDByMinLotPres(double v);
    string    DToSByLots (double v);
    void      fGet_MarketInfo (string fs_Symbol, int fi_Ticket = 0);
    bool      fGet_OrderDetails (int fi_Ticket);
    double    fGet_TradePrice (int fi_Price, bool fb_RealTrade, string fs_Symbol = "");
    double    fGet_Point (string fs_Symbol = "");
    int       fLotPrecision ();
    void      fGet_Pt ();
    int       fGet_INDInArrayINT (int fi_Value, int& fia_Array[]);
    int       fGet_INDInArraySTR (string fs_Value, string& fsa_Array[]);
    int       fGet_NumOfPeriods (int fi_Period);
    void      fInitializeArray_STR (string& fsa_Array[], string fs_Value = "");
    int       fGet_StrArrayFromLine (string fs_List, string& fsa_OUT[], string fs_Delimiter = ",");
    void      fCreat_StrToInt (string& fsa_Value[], int& fia_OUT[], int fi_IND, int fi_Factor = 1, string fs_NameArray = "");
    void      fCreat_StrToDouble (string& fsa_Value[], double& fda_OUT[], int fi_IND, double fd_Factor = 1.0, string fs_NameArray = "");
    string    fCreat_StrAndArray (int fi_First, int& fia_OUT[], int fi_cntIND, string fs_Delimiter = ",");
    string    fCreat_StrFromArray (string& fsa_Array[], string fs_Delimiter = ",");
    int       fInit_ArrayINT (int& fia_INT[], string fs_List, int fi_Range, double fd_Factor = 1.0, string fs_NameArray = "", string fs_Delimiter = ",");
    int       fInit_ArrayDBL (double& fda_DBL[], string fs_List, int fi_Range, double fd_Factor = 1.0, string fs_NameArray = "", string fs_Delimiter = ",");
    int       fInit_ArrayBOOL (bool& fba_BOOL[], string fs_List, int fi_Range, double fd_Factor = 1.0, string fs_NameArray = "", string fs_Delimiter = ",");
    double    fChoiceSource (string fs_Symbol, int fi_Bar, datetime fdt_Time, int fi_TF, double& fda_Array[][], int fi_NSource, bool fb_IsBufffer = true);
    void      fShiftIndex (double& ar_MAS[], bool fb_Conditions = false);
    void      fSort_InDecreasingSequance (int& fia_INDEX[], double& fda_Value[]);
    void      fCreat_ArrayGV (string& fsa_Base[], string& fsa_Add[]);
#import